Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.standard
Class StandardRouteSetProtocol

    java.lang.Object
      rice.pastry.standard.StandardRouteSetProtocol

All Implemented Interfaces:
  MessageReceiver, java.util.Observer

public class StandardRouteSetProtocol
extends java.lang.Object
implements java.util.Observer, MessageReceiver

An implementation of a simple route set protocol.

Version:
  $Id: StandardRouteSetProtocol.java,v 1.15 2005/03/11 00:58:02 jeffh Exp $
Author:
  Andrew Ladd, Peter Druschel

Constructor Summary
`StandardRouteSetProtocol(NodeHandle lh, PastrySecurityManager sm, RoutingTable rt, Environment env)` Constructor.

Method Summary
`Address` | `getAddress()` Gets the address.
`void` | `receiveMessage(Message msg)` Receives a message.
`void` | `update(java.util.Observable obs, java.lang.Object arg)` Observer update.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardRouteSetProtocol

    public StandardRouteSetProtocol(NodeHandle lh,
                                    PastrySecurityManager sm,
                                    RoutingTable rt,
                                    Environment env)

  Constructor.

Parameters:
  `lh` - the local handle
  `sm` - the security manager
  `rt` - the routing table
  `env` - DESCRIBE THE PARAMETER

Method Detail

### getAddress

    public Address getAddress()

  Gets the address.

  Returns:
    the address.

### update

    public void update(java.util.Observable obs,
                       java.lang.Object arg)

  Observer update.

  Specified by:
    `update` in interface `java.util.Observer`
  Parameters:
    `obs` - the observable.
    `arg` - the argument.

### receiveMessage

    public void receiveMessage(Message msg)

  Receives a message.

  Specified by:
    `receiveMessage` in interface `MessageReceiver`
  Parameters:
    `msg` - the message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.